EDIT - task #6630

feature request # 6361 (Closed): [MASTER] Merge all TaxonName classes into 1 class

Unify TaxonName cache strategies
05/10/2017 05:57 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.10

Severity: normal

Description

Currently we do have a name cache strategy for each taxon name sub-classes. The default cache strategy should be merged to a
single class.

Related issues:
Related to EDIT - task #6671: Remove generics from TaxonName Closed
Related to EDIT - feature request #6957: Implement cache strategy for viral n... Closed

Associated revisions

Revision 51688d00 - 05/23/2017 12:52 AM - Andreas Miiller
ref #6368 , ref #6671, ref #6630 adapt pesi to no taxon name model

Revision 44f8b525 - 05/23/2017 01:07 AM - Andreas Miiller
ref #6368 , ref #6671, ref #6630 adapt eflora to no taxon name model

Revision 2dca9610 - 06/03/2017 07:18 PM - Andreas Miiller

ref #6630 unified all taxon name cache strategies except for ViralNameDefaultCacheStrategy

Revision db183545 - 06/03/2017 07:18 PM - Andreas Miiller

ref #6630 and ref #6368 remove generics from TaxonName

Revision ecb47516 - 06/03/2017 07:18 PM - Andreas Miiller
ref #6368 , ref #6671, ref #6630 adapt eflora to no taxon name model

Revision e46ded05 - 06/05/2017 12:31 PM - Andreas Miiller

ref #3665 adapt orginal spelling name cache strategy to user wishes, also ref #6630

Revision 063510dc - 07/24/2017 11:49 PM - Andreas Miiller
ref #6630 unify ViralNameDefaultCacheStrategy with NonViralNameDefaultCacheStrategy

Revision 15035cf0 - 07/25/2017 08:32 AM - Andreas Miiller

fix #6630 remove rectifyNameCacheStrategy to differ name types

History

#1 - 05/22/2017 02:55 PM - Andreas Miiller
- Status changed from New to In Progress

- % Done changed from 0 to 40

#2 - 05/22/2017 07:02 PM - Andreas Miller

- Related to task #6671: Remove generics from TaxonName added

#3 - 06/05/2017 11:30 AM - Andreas Miiller

- Description updated
#4 - 06/05/2017 11:31 AM - Andreas Miiller

- Tracker changed from bug to task

#5 - 07/11/2017 12:11 PM - Andreas Miiller
- Target version changed from Release 4.8 to Release 4.9

- % Done changed from 40 to 80

#6 - 07/11/2017 12:12 PM - Andreas Miiller

move back to 4.8 once finished, because most of the work was done in 4.8

#7 - 07/21/2017 10:13 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#8 - 07/24/2017 11:51 PM - Andreas Miller

- Description updated

#9 - 07/25/2017 08:32 AM - Andreas Miiller
- Status changed from In Progress to Resolved

- % Done changed from 80 to 50

Applied in changeset cdmlib|15035cf0587e8d510f07f6804fed7c4c8903f8be.

#10 - 07/25/2017 08:34 AM - Andreas Miiller
- Description updated

- % Done changed from 50 to 80

#11 - 07/25/2017 08:36 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 80 to 100

#12 - 09/20/2017 06:04 PM - Andreas Miiller

- Related to feature request #6957: Implement cache strategy for viral names added
